%define name	gtkpod
%define version 0.94.0
%define	rel	2
%define release %mkrel %{rel}

%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}

Name: 	 	%{name}
Summary: 	GTK interface to iPod
Version: 	%{version}
Release: 	%{release}

Source0:	http://prdownloads.sourceforge.net/gtkpod/%{name}-%{version}.tar.bz2
#Patch0:		gtkpod-0.88.2-gcc4-fix.patch.bz2
URL:		http://gtkpod.sourceforge.net/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libid3tag-devel
BuildRequires:	gtk2-devel gettext pkgconfig ImageMagick libglade2.0_0-devel
%if %build_plf
BuildRequires:	mp4v2-devel
%endif

%description
gtkpod is a platform independent GUI for Apple's iPod using GTK2. It allows
you to upload songs and playlists to your iPod. It supports ID3 tag editing,
multiple charsets for ID3 tags, detects duplicate songs, allows offline
modification of the database with later synchronisation, and more.

gtkpod allows you to
    * Read your existing iTunesDB (i.e. import the existing contents of
      your iPod).
    * Add mp3 files to the iPod. You can choose the charset the ID3 tags
      are encoded in from within gtkpod. The default is the charset
      currently used by your locale setting.
    * When adding songs, gtkpod detects duplicates (opt).
    * Remove songs from the iPod.
    * Create and modify playlists.
    * Modify ID3 tags -- changes are also updated in the original file (opt)
    * Write the updated iTunesDB and added songs to your iPod.
    * Work offline and synchronize your new playlists / songs with the iPod
      at a later time.

%prep
%setup -q
#%patch0 -p1
chmod 644 README ChangeLog COPYING AUTHORS

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm %buildroot/%_datadir/%name/pixmaps/%name.glade*
ln -s %_datadir/gtkpod/gtkpod.glade %buildroot/%_datadir/gtkpod/pixmaps/gtkpod.glade
ln -s %_datadir/gtkpod/gtkpod.gladep %buildroot/%_datadir/gtkpod/pixmaps/gtkpod.gladep

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="GTKPod" longtitle="Interface to iPod" section="Multimedia/Sound"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
cp pixmaps/%{name}-icon-48x48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -size 32x32 pixmaps/%{name}-icon-64x64.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -size 16x16 pixmaps/%{name}-icon-64x64.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.94.0-2mdk
- Fix BuildRequires

* Sat Jul 16 2005 Austin Acton <austin@mandriva.org> 0.94.0-1mdk
- New release 0.94.0

* Sun Jun 26 2005 Austin Acton <austin@mandriva.org> 0.93.1-1mdk
- 0.93.1
- fix buildrequires (bug 16578)
- drop gcc patch

* Thu Jun 16 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.88.2-2mdk
- fix build with gcc4 (P0)
- add plf build for mp4v2 aac support
- fix buildrequires

* Sat Apr 02 2005 Eskild Hustvedt <eskild@mandrake.org> 0.88.2-1mdk
- New release 0.88.2
- %%mkrel

* Thu Mar 17 2005 Austin Acton <austin@mandrake.org> 0.88.1-1mdk
- New release 0.88.1

* Thu Mar 10 2005 Austin Acton <austin@mandrake.org> 0.88-1mdk
- New release 0.88

* Wed Mar 02 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.87.3-1mdk
- 0.87.3

* Sat Nov 20 2004 Austin Acton <austin@mandrake.org> 0.85.0-1mdk
- 0.85.0

* Wed Sep 22 2004 Austin Acton <austin@mandrake.org> 0.80-2.1mdk
- 0.80-2
- configure 2.5

* Thu Apr 1 2004 Austin Acton <austin@mandrake.org> 0.72-2.1mdk
- 0.72-2

* Thu Dec 04 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.70-1mdk
- 0.70

* Mon Oct 6 2003 Austin Acton <aacton@yorku.ca> 0.60-1mdk
- 0.60

* Sun Jul 6 2003 Austin Acton <aacton@yorku.ca> 0.52-1mdk
- 0.52

* Thu Jun 5 2003 Austin Acton <aacton@yorku.ca> 0.51-2.1mdk
- 0.51-2

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 0.50-2mdk
- build release for libid3

* Sun Mar 23 2003 Austin Acton <aacton@yorku.ca> 0.50-1mdk
- 0.50

* Thu Feb 27 2003 Austin Acton <aacton@yorku.ca> 0.43-1mdk
- 0.43

* Thu Feb 20 2003 Austin Acton <aacton@yorku.ca> 0.42-1mdk
- 0.42

* Mon Feb 10 2003 Austin Acton <aacton@yorku.ca> 0.41-1mdk
- initial package
